%define upstream_name    Test-Run-Plugin-TrimDisplayedFilenames
%define upstream_version 0.0127

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Trim the filenames
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.12.100
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.12.200
BuildRequires: perl(Test::Trap)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
This is a the Test::Run::CmdLine manpage plugin that allows one to trim the
filenames that are displayed by the harness. It accepts the parameter by
using the ''HARNESS_TRIM_FNS'' environment variable. A few sample ones are:

    fromre:\At\z

(to match everything up to a "t" directory.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.12.700-2.mga10
+ Revision: 2235862
- Mageia 10 Mass Rebuild

* Mon Feb 10 2025 tv <tv> 0.12.700-1.mga10
+ Revision: 2146552
- update to 0.0127

* Mon Mar 21 2022 umeabot <umeabot> 0.12.600-2.mga9
+ Revision: 1813487
- Mageia 9 Mass Rebuild

* Fri Oct 23 2020 tv <tv> 0.12.600-1.mga8
+ Revision: 1638741
- update to 0.0126

* Wed Feb 12 2020 umeabot <umeabot> 0.12.500-5.mga8
+ Revision: 1497517
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.12.500-4.mga7
+ Revision: 1272005
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.12.500-3.mga6
+ Revision: 1034638
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.12.500-2.mga6
+ Revision: 966372
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.12.500-1.mga6
+ Revision: 843672
- update to 0.0125

* Sat Oct 18 2014 umeabot <umeabot> 0.12.400-4.mga5
+ Revision: 788313
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.12.400-3.mga5
+ Revision: 749758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.400-2.mga5
+ Revision: 686541
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 shlomif <shlomif> 0.12.400-1.mga5
+ Revision: 618917
- update to 0.0124

* Fri Oct 18 2013 umeabot <umeabot> 0.12.300-3.mga4
+ Revision: 515369
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.300-2.mga3
+ Revision: 373777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 shlomif <shlomif> 0.12.300-1.mga3
+ Revision: 300654
- update to 0.0123

* Wed Aug 01 2012 shlomif <shlomif> 0.12.200-1.mga3
+ Revision: 277599
- imported package perl-Test-Run-Plugin-TrimDisplayedFilenames


* Wed Aug 01 2012 cpan2dist 0.0122-1mga
- initial mageia release, generated with cpan2dist
